### How to become a Data Scientist
This repository contains files for "How to become a Data Scientist" session of
SOSC 2018 school. Below we provide description of each file:

- `SOSC2018_keynote.{key,pdf}` slides for Data Science lecture
- `SOSC2018_HandsOnMaterials.{key,pdf}` slides for Hands-on materials of Data
  Science lecture
- `HandsOnSession1.md` hands-on materials for ML 101 sesion 1. It covers how to
  setup and manage Data Science environment via anaconda setup.
- `HandsOnSession2.py` hands-on materials for ML 101 session 2. Here we explain
  how to build basic ML model, we introduce concept of ensemble and
  cross-valation techniques.
- `HandsOnSession3.md` hands-on materials for ML session 3. Here we explore
  in details Homesite kaggle competition and build XGboost model in Python and
  R, as well as explain concept of emebeddings which we build using Keras
  Neural Networks.
- `drops.txt` list of attributes from Homesite competition which we likely to
  drop since they're highly correlated.
- `fastai_embeddings.py` embeddings implementation using fast.ai library
- `keras_embeddings.py` embeddings implementation using Keras library
- `keras_kernel.py` model based on Keras Neural Network
- `merge_preds.py` code to merge prediction files
- `mknfold.py` code to split input dataset into train and validation ones
- `optsparser.R` set of utilities for R based code
- `rank_avg.py` code to perform rank average for given set of predictions
- `transform.py` code to transform input dataset and perform data-preprocessing
- `utils.py` set of utilities used in python code
- `xgb.R` XGboost model in R for Homesite competition
- `xgb.py` XGboost model in Python for Homesite competition
- `xgb.sh` helper script to run multiple python XGboost models
- `xgb_kernel.R` R based model for Homesite competition using XGboost library
- `xgb_kernel.py` Python based model for Homesite competition using XGboost library
